Bug 213238 - Firefox crash due to javascript-triggered NULL pointer dereference
Firefox crash due to javascript-triggered NULL pointer dereference
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
6
All Linux
low Severity low
: ---
: ---
Assigned To: Christopher Aillon
http://www.gotfault.net/research/advi...
reported=20061031,source=fulldisclosu...
: Security
Depends On: 213237
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-31 08:03 EST by Lubomir Kundrak
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-06 04:15:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Firefox 1.5.0.7 crash testcase (368 bytes, text/plain)
2006-10-31 08:03 EST, Lubomir Kundrak
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 358797 None None None Never

  None (edit)
Description Lubomir Kundrak 2006-10-31 08:03:28 EST
+++ This bug was initially created as a clone of Bug #213237 +++

Description of problem:

Mozilla Firefox is prone to a DoS within its javascript Range object. In a
special condition, a NULL Pointer Deference occur and Firefox crashes.
Refer to advisory text or attached testcase for details.

Version-Release number of selected component (if applicable):
1.5.0.7

-- Additional comment from lkundrak@redhat.com on 2006-10-31 07:53 EST --
Created an attachment (id=139850)
Firefox 1.5.0.7 crash testcase


-- Additional comment from lkundrak@redhat.com on 2006-10-31 08:00 EST --
(From update of attachment 139850 [details])
I set the MIME type of the patch to text/plain, for obvious reason.
Comment 1 Lubomir Kundrak 2006-10-31 08:03:28 EST
Created attachment 139851 [details]
Firefox 1.5.0.7 crash testcase
Comment 2 petrosyan 2006-11-10 02:58:52 EST
this bug is still present in Firefox 1.5.0.8
Comment 3 Martin Stransky 2006-11-24 05:08:24 EST
this bug is present in Firefox 2.0 too
Comment 4 petrosyan 2007-03-05 00:26:03 EST
This bug has been fixed in firefox-1.5.0.10-1.fc6 update released for Fedora Core 6.
Comment 5 petrosyan 2007-03-05 17:58:47 EST
This bug has also been fixed in firefox-2.0.0.2-1.fc7

Note You need to log in before you can comment on or make changes to this bug.